Package org.apache.storm.daemon.nimbus

## Enum TopologyActions

- java.lang.Object
- - java.lang.Enum<TopologyActions>
  - - org.apache.storm.daemon.nimbus.TopologyActions

- All Implemented Interfaces:
    `Serializable`, `Comparable<TopologyActions>`

      public enum TopologyActions
      extends Enum<TopologyActions>

  Actions that can be done to a topology in nimbus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVATE` |
    `DO_REBALANCE` |
    `GAIN_LEADERSHIP` |
    `INACTIVATE` |
    `KILL` |
    `REBALANCE` |
    `REMOVE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TopologyActions` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TopologyActions[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GAIN_LEADERSHIP

          public static final TopologyActions GAIN_LEADERSHIP

    - #### INACTIVATE

          public static final TopologyActions INACTIVATE

    - #### ACTIVATE

          public static final TopologyActions ACTIVATE

    - #### REBALANCE

          public static final TopologyActions REBALANCE

    - #### KILL

          public static final TopologyActions KILL

    - #### DO_REBALANCE

          public static final TopologyActions DO_REBALANCE

    - #### REMOVE

          public static final TopologyActions REMOVE

  - ### Method Detail

    - #### values

          public static TopologyActions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TopologyActions c : TopologyActions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TopologyActions valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null